Subject: [Shop-talk] Well tank losing air pressure

From: Jim Franklin <[email-masked]>
Date: Sun, 4 Sep 2016 19:13:53 -0400

I have an Amtrol WX-203 (installed Sep 2009) and I need to add air more and more often otherwise the pump short cycles like crazy. There's no water spitting from the air valve and no air coming out of the faucets. Is it still a shot tank? I soaped the air valve and don't see any bubbles. Can't think where the air might be going. The tank isn't rusty except for the round frame part at the bottom. 

Easy to replace and it'll probably cure it, but I'd really like to know for sure. Google wasn't much help, surprisingly. 

thanks,
jim
_______________________________________________

[email-masked]
Archive: http://www.team.net/archive